Loading...
Searching...
No Matches
any_of.hpp File Reference

## Functions

template<typename I , typename S , typename F , typename P = identity> requires input_iterator<I> && sentinel_for<S, I> && indirect_unary_predicate<F, projected<I, P>>
constexpr bool | ranges::any_of (I first, S last, F pred, P proj=P{})
| function template `any_of`
template<typename Rng , typename F , typename P = identity> requires input_range<Rng> && indirect_unary_predicate<F, projected<iterator_t<Rng>, P>>
constexpr bool | ranges::any_of (Rng &&rng, F pred, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.